%{?drupal7_find_provides_and_requires}

%global module rich_snippets

Name:          drupal7-%{module}
Version:       0.94
Release:       1%{?dist}
Summary:       Module to override core Search styles and templates to match the UI of search engines

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
# Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-1.0-beta4.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
The Rich Snippets module overrides the core Search styles and templates
to closely match the UI of major search engines for Drupal's internal
site search. This project is an extension of the core Search and
Schema.org modules to display structured data as the familiar rich
snippets that end users expect. Rich Snippets also integrates seamlessly
with the Apache Solr Search Integration module.

The theory behind this module is to provide an out-of-the-box,
best-in-breed SERP (search engine results page) that is user friendly
and informative for end users. By building upon the widely adopted
Schema.org guidelines, it also encourages best practices surrounding
structured data.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Apr  8 2017 J. Randall Owens <jrowens@ghiapet.net> - 0.94-1
- Initial package

